<?php
/**
 * A smarty plugin to access the GeoIP database.
 * @author Christopher Troup <mini@chatetheory.com>
 * @package phpUserTrack
 */

/**
 * Provide a wrapper to the GeoIP database.
 *
 * @param array $params
 * @param object &$smarty
 * @return string The requested field
 */

function smarty_function_geoIP($params, &$smarty) {

	if ($geoip = @Net_GeoIP::getInstance('./include/GeoLiteCity.dat', Net_GeoIP::STANDARD)) {
		$ip = $params['ip'];
		if ($location = $geoip->lookupLocation($ip)) {
			//return $location;
			return $location->$params['field'];
		}
	}
}

?>