<?php

function fetch_recentPages($id, $rows = 10)
{
	global $db;
	
	if ($id) {
		$whereSQL = 'where site_id=' . $id;
	}
	
	if ($rows) {
		$rows = 'limit ' . 10;
	}
	
	$sql = 'select phpusertrack_data.*, phpusertrack_ip.ip from phpusertrack_data Inner Join phpusertrack_ip ON phpusertrack_data.ip_id = phpusertrack_ip.id ' . $whereSQL . ' order by timestamp desc ' . $rows;
	$paths = $db->_query($sql);
	return $paths;
}

function smarty_function_load_recentPages($params, &$smarty)
{
	// call the function
	$recentPages_info = fetch_recentPages($params['id'], $params['rows']);
	
	// assign template variable
	$smarty->assign($params['assign'], $recentPages_info);
}
?>
