<?php
require_once dirname(__FILE__) . '/include/smartySetup.php';

$db = new phpusertrack_db();

$sql = 'select *, (select count(*) from phpusertrack_data as tmpdata where tmpdata.site_id=phpusertrack_sites.id) as pageviews,	
	(select count(distinct tmpdata.ip_id) as visits from phpusertrack_data as tmpdata where tmpdata.site_id=phpusertrack_sites.id) as visits,
	(select count(distinct tmpip.ip) as uniqueVisitors from phpusertrack_ip as tmpip, phpusertrack_data as tmpdata where tmpdata.ip_id=tmpip.id and tmpdata.site_id=phpusertrack_sites.id) as visitors from phpusertrack_sites where id=' . $_GET['id'] . ' limit 1';
$info = $db->_query($sql);
$smarty->assign('info', $info[0]);

$smarty->assign('mysqlQueryTime', (getmicrotime() - $time));

$smarty->assign('id', $_GET['id']);

$smarty->assign('notifMsg', $notify);

$breadcrumbs = array(array('title' => 'Site Report (' . $info[0]['name'] . ')', 'url' => 'report.php?id=' . $_GET['id']));
$smarty->assign('breadcrumbs', $breadcrumbs);

$smarty->assign('pageTitle', 'phpUserTrack Report Page - ' . $info[0]['name']);

$smarty->assign('serverPath', $_SERVER['SERVER_NAME'] . $conf['installpath'] . 'javascript/phpusertrack.js.php?site=' . $_GET['id']);

$smarty->display('header.tpl');
$smarty->display('report.tpl');

$smarty->assign('pageRenderTime', (getmicrotime() - $time));

$smarty->display('footer.tpl');
?>
