<?php
require_once dirname(__FILE__) . '/include/smartySetup.php';

require_once './lib/libUsers.php';

$users = new phpusertrack_users();

needsAdmin(1);

if (($_POST['submit']) && ($login->isAdmin(9))) {
	$users->insertProfile($_POST['username'], $_POST['password'], $_POST['realname'], $_POST['email'], $_POST['userlevel']);
	$notify[] = array('title' => 'Add User', 
		'desc' => 'The user <strong>' . $_POST['username'] . '</strong> was added successfully',
		'type' => 'success'
	);
}

if (($_POST['update']) && ($login->isAdmin(1))) {
	$users->updateProfile($_POST['id'], $_POST['username'], $_POST['password'], $_POST['realname'], $_POST['email'], $_POST['userlevel']);
	$notify[] = array('title' => 'Update User', 
		'desc' => 'The user <strong>' . $_POST['username'] . '</strong> was updated successfully',
		'type' => 'success'
	);
}

if (($_GET['deleteID']) && ($login->isAdmin(9))) {
	$users->deleteID($_GET['deleteID']);
	$notify[] = array('title' => 'Deleted User', 
		'desc' => 'The deletion of the user was successful',
		'type' => 'success'
	);
}

if (($_GET['editID']) && ($login->isAdmin())) {
	
}

$smarty->assign('uid', $login->getUID());

$smarty->assign('users', $users->getUsers());
$smarty->assign('notifMsg', $notify);

$smarty->display('header.tpl');

if ($_GET['editID']) {
	$smarty->assign('editID', $_GET['editID']);
}
$smarty->display('users.tpl');

$smarty->display('footer.tpl');

?>