<?php

function fetch_popularPages($id, $rows = 10)
{
	global $db;
	
	if ($id) {
		$whereSQL = 'where site_id=' . $id;
	}
	
	if ($rows) {
		$rows = 'limit ' . 10;
	}
	
	$sql = "Select Count(phpusertrack_data.path) AS `count`, phpusertrack_data.path, phpusertrack_sites.url, phpusertrack_data.site_id From phpusertrack_data Inner Join phpusertrack_sites ON phpusertrack_data.site_id = phpusertrack_sites.id " . $whereSQL . " Group By phpusertrack_data.path, phpusertrack_sites.id Order By `count` Desc " . $rows;
	$paths = $db->_query($sql);
	return $paths;
}

function smarty_function_load_popularPages($params, &$smarty)
{
	// call the function
	$popularPages_info = fetch_popularPages($params['id'], $params['rows']);
	
	// assign template variable
	$smarty->assign($params['assign'], $popularPages_info);
}
?>
