<?php

function fetch_sessionCount($id, $rows = 10)
{
	global $db;
	if ($id) {
		$whereSQL = 'where phpusertrack_data.site_id=' . $id;
	}
	
	if ($rows) {
		$rows = 'limit ' . 10;
	}
	
	$sql = "SELECT count(*) as pages, phpusertrack_ip.ip, phpusertrack_ip.timestamp FROM phpusertrack_ip LEFT OUTER JOIN phpusertrack_data ON phpusertrack_data.ip_id=phpusertrack_ip.id " . $whereSQL . " group by phpusertrack_ip.ip order by pages desc " . $rows;
	$sessions = $db->_query($sql);
	return $sessions;
}

function smarty_function_load_sessionCount($params, &$smarty)
{
	// call the function
	$sessionCount_info = fetch_sessionCount($params['id'], $params['rows']);

	// assign template variable
	$smarty->assign($params['assign'], $sessionCount_info);
}
?>