<?php

function fetch_userAgentPopularity($id, $rows = 10)
{
	global $db;
	if ($id) {
		$whereSQL = 'where phpusertrack_data.site_id=' . $id;
	}
	
	if ($rows) {
		$rows = 'limit ' . 10;
	}
	
	$sql = 'select count(distinct ip) as total from phpusertrack_ip LEFT OUTER JOIN phpusertrack_data ON phpusertrack_data.ip_id=phpusertrack_ip.id ' . $whereSQL;
	$total = $db->_query($sql);
	
	$sql = 'select phpusertrack_ip.browser, count(distinct phpusertrack_ip.ip)*100/' . $total[0]['total'] . ' as percent from phpusertrack_ip LEFT OUTER JOIN phpusertrack_data ON phpusertrack_data.ip_id=phpusertrack_ip.id ' . $whereSQL . ' group by phpusertrack_ip.browser order by percent desc ' . $rows;
	$avgs = $db->_query($sql);
	return $avgs;
}

function smarty_function_load_userAgentPopularity($params, &$smarty)
{
	// call the function
	$userAgentPopularity_info = fetch_userAgentPopularity($params['id'], $params['rows']);

	// assign template variable
	$smarty->assign($params['assign'], $userAgentPopularity_info);
}
?>