<?

require_once dirname(__FILE__) . '/version.php';
require_once dirname(__FILE__) . '/../smarty/libs/Smarty.class.php';
require_once dirname(__FILE__) . '/../lib/core.php';

$notify = $_SESSION['notify'];
$_SESSION['notify'] = array();

try {
	$smarty = new Smarty();
} catch (Exception $e) {
	die('Smarty must be installed for phpUserTrack to work. Try reinstalling if you have accidentally deleted it.');
}
$smarty->plugins_dir[] = 'include';
//require_once $smarty->_get_plugin_filepath('function', 'html_doctype');

$smarty->assign('phpusertrack_prefs', $phpusertrack_prefs->getValues());

try {
	$login = new login(true);
	$smarty->assign('login', $login);
} catch (Exception $e) {
	header( 'Location: login.php' ) ;
} 

function insert_getNotify($params, &$smarty)
{
	if ($params['messages']) {
	    foreach ($params['messages'] as $msg) {
	    	$html .= '<p class="' . $msg['type'] . '"><span class="title">' . $msg['title'] . '</span>:
				<span class="desc">' . $msg['desc'] . '</span></p>';
	    }
	    
	}
	return $html;
}

function needsAdmin($level = 9) {
	global $login;
	global $notify;
	if ($login->getUserlevel() < $level) {
		$_SESSION['notify'][] =array('title' => 'Insuficiant Priviledges', 
		'desc' => 'You do not have the nessasary user rights to view this page.',
		'type' => 'error'
		);
		$_SESSION['wantedPage'] = $_SERVER["SCRIPT_NAME"];
		header( 'Location: login.php' );
	}
}

?>
