<?php

//require_once('libdb.php');
//require_once('libtree.php');

class freqMatrix extends phpusertrack_db {
	var $_matrix = null;
	var $site_id;

	function freqMatrix($site_id = null) {
		$this->site_id = $site_id;
		$this->build();
	}

	function build() {
		$sql = 'Select phpusertrack_data.path, phpusertrack_ip.session_id From phpusertrack_data Inner Join phpusertrack_ip ON phpusertrack_data.ip_id = phpusertrack_ip.id
Where phpusertrack_data.site_id = \'' . $this->site_id . '\' Order By phpusertrack_ip.ip Asc, phpusertrack_data.`timestamp` Asc';
		$sessions = $this->_query($sql);

		if (@include_once('Structures/Graph.php')) {
		$directedGraph =& new Structures_Graph(true);

		foreach ($sessions as $session) {
			if ((isset($oldNode)) && ($oldNode->getData() == $session['path'])) {
				$newNode = $oldNode;
				$newNode->setMetadata('freq', $newNode->getMetadata('freq')+1);
			} else {
				$newNode =& new Structures_Graph_Node();
				$newNode->setData($session['path']);
				$newNode->setMetadata('freq', 1);
				$directedGraph->addNode(&$newNode);
				if ($session['session_id'] == $oldSessID) {
					$oldNode->connectTo($newNode);
				}
			}
			$oldSessID = $session['session_id'];
			$oldNode = $newNode;
		}
		$this->_matrix = $directedGraph;
		} else {
			global $smarty;
			$smarty->assign('notifMsg', 'Structures Graph package not installed. Fix with \'<code>pear install Structures_Graph</code>\'');
			return false;
		}
	}

	function getMatrix() {
		return $this->_matrix;
	}
}

?>
