<h2>Plugin Options: {$plugin->_name}</h2>

<div class="infoBox" style="width: 100%;">
<table class="infoList" cellspacing="0" width="100%">
	<tbody>
		<tr class="row0">
			<td class="infoListTitle">Description:</td>
			<td>{$plugin->desc|default:'<span style="color: grey;"><em>no description set</em></span>'}</td>
		</tr>
		<tr class="row0">
			<td class="infoListTitle">Version:</td>
			<td>{$plugin->version|default:'<span style="color: grey;"><em>no version set</em></span>'}</td>
		</tr>
		<tr class="row0">
			<td class="infoListTitle">Author:</td>
			<td>{$plugin->author|default:'<span style="color: grey;"><em>no author set</em></span>'}</td>
		</tr>
	</tbody>
</table>
</div>

<form method="post" name="updateSettings" action="{$smarty.server.SCRIPT_NAME}?mode=plugin&amp;namespace={$smarty.get.namespace}">

<p><span style="color: {if $plugin->_active}green{else}red{/if};">Enabled:</span> <input type="checkbox" name="enabled"{if $plugin->_active} checked="true"{/if} /></p>

<h3>Plugin Specific Settings</h3>

<table width="100%" cellpadding="0" cellspacing="0">
{section name=i loop=$prefs}
	<tr>
	<td valign="top" width="20%"><strong>{$prefs[i].name}</strong><br />{$prefs[i].desc}</td>
	<td valign="top">
	{if $prefs[i].type == 'array'}
		{html_options name=$prefs[i].id values=$prefs[i].data output=$prefs[i].data}
	{elseif $prefs[i].type == 'bool'}
		<input type="checkbox" name="{$prefs[i].id}"{if $prefs[i].data == true} checked="true"{/if} />
	{elseif $prefs[i].type == 'string'}
		<input type="text" name="{$prefs[i].id}" length="40" value="{$prefs[i].data}"  />
	{/if}
	</td>
	</tr>
	<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
{/section}
</table>

<p><input type="submit" name="submit" id="submit"
	value="Update Settings" /></p>

</form>